## FsMsnStream

FsMsnStream — A MSN stream in a FsMsnSession in a FsMsnConference

## Synopsis

                        FsMsnStream;

## Properties

      "conference"               FsMsnConference*      : Read / Write / Construct Only
      "initial-port"             guint                 : Read / Write / Construct Only
      "session-id"               guint                 : Read / Write / Construct Only

## Description

The "direction" property can be used to pause the stream, but not to change the direction between sending and receiving since this protocol is unidirectional.

The "foundation" field of the local FsCandidate contains the "recipient-id" that must be transmitted to the peer.

The session id can either be retrieved as a property, but it is also put into every FsCandidate in the "username" field.

If the peer started the webcam session, it picks the session-id, it can then be set either in the transmitter parameters field of `fs_session_new_stream()` or by putting it in the "username" field of the remote FsCandidate.

## Details

### FsMsnStream

    typedef struct {
      FsStream parent;
    } FsMsnStream;

## Property Details

### The `"conference"` property

      "conference"               FsMsnConference*      : Read / Write / Construct Only

This is a conveniance pointer for the Conference.

### The `"initial-port"` property

      "initial-port"             guint                 : Read / Write / Construct Only

The initial port to try to listen on for incoming connection. If already used, port+1 is tried until one succeeds.

Allowed values: [1025,65535]

Default value: 1025

### The `"session-id"` property

      "session-id"               guint                 : Read / Write / Construct Only

This is the session-id of the MSN session.

Allowed values: [1000,9999]

Default value: 9000